Create Landing Page
curl --request POST \
--url https://api.example.com/cabinet/admin/landings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "<string>",
"title": {},
"subtitle": {},
"is_active": true,
"features": [
{
"icon": "",
"title": {},
"description": {}
}
],
"footer_text": {},
"allowed_tariff_ids": [
123
],
"allowed_periods": {},
"payment_methods": [
{
"method_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"icon_url": "<string>",
"sort_order": 0,
"min_amount_kopeks": 123,
"max_amount_kopeks": 123,
"currency": "<string>",
"return_url": "<string>",
"sub_options": {}
}
],
"gift_enabled": true,
"custom_css": "<string>",
"meta_title": {},
"meta_description": {},
"discount_percent": 50,
"discount_overrides": {},
"discount_starts_at": "2023-11-07T05:31:56Z",
"discount_ends_at": "2023-11-07T05:31:56Z",
"discount_badge_text": {},
"background_config": {}
}
'import requests
url = "https://api.example.com/cabinet/admin/landings"
payload = {
"slug": "<string>",
"title": {},
"subtitle": {},
"is_active": True,
"features": [
{
"icon": "",
"title": {},
"description": {}
}
],
"footer_text": {},
"allowed_tariff_ids": [123],
"allowed_periods": {},
"payment_methods": [
{
"method_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"icon_url": "<string>",
"sort_order": 0,
"min_amount_kopeks": 123,
"max_amount_kopeks": 123,
"currency": "<string>",
"return_url": "<string>",
"sub_options": {}
}
],
"gift_enabled": True,
"custom_css": "<string>",
"meta_title": {},
"meta_description": {},
"discount_percent": 50,
"discount_overrides": {},
"discount_starts_at": "2023-11-07T05:31:56Z",
"discount_ends_at": "2023-11-07T05:31:56Z",
"discount_badge_text": {},
"background_config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: '<string>',
title: {},
subtitle: {},
is_active: true,
features: [{icon: '', title: {}, description: {}}],
footer_text: {},
allowed_tariff_ids: [123],
allowed_periods: {},
payment_methods: [
{
method_id: '<string>',
display_name: '<string>',
description: '<string>',
icon_url: '<string>',
sort_order: 0,
min_amount_kopeks: 123,
max_amount_kopeks: 123,
currency: '<string>',
return_url: '<string>',
sub_options: {}
}
],
gift_enabled: true,
custom_css: '<string>',
meta_title: {},
meta_description: {},
discount_percent: 50,
discount_overrides: {},
discount_starts_at: '2023-11-07T05:31:56Z',
discount_ends_at: '2023-11-07T05:31:56Z',
discount_badge_text: {},
background_config: {}
})
};
fetch('https://api.example.com/cabinet/admin/landings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"slug": "<string>",
"title": {},
"is_active": true,
"display_order": 123,
"features": [
{
"icon": "",
"title": {},
"description": {}
}
],
"allowed_tariff_ids": [
123
],
"allowed_periods": {},
"payment_methods": [
{
"method_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"icon_url": "<string>",
"sort_order": 0,
"min_amount_kopeks": 123,
"max_amount_kopeks": 123,
"currency": "<string>",
"return_url": "<string>",
"sub_options": {}
}
],
"gift_enabled": true,
"subtitle": {},
"footer_text": {},
"custom_css": "<string>",
"meta_title": {},
"meta_description": {},
"discount_percent": 123,
"discount_overrides": {},
"discount_starts_at": "2023-11-07T05:31:56Z",
"discount_ends_at": "2023-11-07T05:31:56Z",
"discount_badge_text": {},
"background_config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Admin Landings
Create Landing Page
Create a new landing page.
POST
/
cabinet
/
admin
/
landings
Create Landing Page
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 100Pattern:
^[a-z0-9\-]+$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
20Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
50Show child attributes
Show child attributes
Maximum array length:
10Show child attributes
Show child attributes
Maximum string length:
10000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
1 <= x <= 99Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
